## qubes-desktop-linux-menu 1.0.1

=== debian/changelog ===
qubes-desktop-linux-menu (1.0.1-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Tue, 07 Feb 2023 03:47:31 +0100

qubes-desktop-linux-menu (1.0.1-1) unstable; urgency=medium

  * Add qubes-builderv2 integration
  * CI: add R4.2

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 07 Feb 2023 03:47:31 +0100

qubes-desktop-linux-menu (1.0.0-1) unstable; urgency=medium

  [ Andrew David Wong ]
  * Add Acknowledgements section thanking NLnet

  [ Marta Marczykowska-Górecka ]
  * Fix --background causing menu to be always hiddden
  * Make the menu into a systemctl service
  * Fix display of named disposable vms
  * Fix move to/from events being ignored for .desktop files

  [ Marek Marczykowski-Górecki ]
  * make pylint happy

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 07 Feb 2023 00:28:51 +0100

qubes-desktop-linux-menu (0.3.0-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Introduce an abstract PageHandler
  * First working search
  * Add icon to search barre
  * Switch to search on typing
  * Improvements to search algorith
  * Add recent searches
  * Add highlighting of search terms
  * Introduce working search highlighting
  * Add highlighting of search terms and fix styles
  * Fix missing abstract def
  * Add functioning filter-by-qube to search
  * Add Search to readme, update old images
  * Make search more resilient to weird timing problems + fix keyboard
    nav

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 28 Oct 2022 23:47:26 +0200

qubes-desktop-linux-menu (0.2.2-1) unstable; urgency=medium

  [ Nina Eleanor Alter ]
  * Update README.md

  [ Marta Marczykowska-Górecka ]
  * Fix pylint for new pylint version
  * Add support for dragging apps from menu
  * Fix pylint for new pylint version
  * Fix minor display bug when switching menu tabs
  * Fix problems with dispatching events, remove --restart
  * Fix app names to be more flexible
  * Remove unused imports

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 19 Oct 2022 00:42:02 +0200

qubes-desktop-linux-menu (0.2.1-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Fix rare bug with blank icon name
  * Add hiding menu after second activation and fix hover state

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 09 Nov 2021 03:27:39 +0100

qubes-desktop-linux-menu (0.2.0-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 04 Nov 2021 11:08:16 +0100

qubes-desktop-linux-menu (0.1-1) unstable; urgency=low

  * Initial release 

 -- Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com>  Wed, 18 Aug 2021 13:42:34 +0200

## qubes-desktop-linux-menu 1.0.2

=== debian/changelog ===
qubes-desktop-linux-menu (1.0.2-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Thu, 16 Feb 2023 01:29:49 +0100

qubes-desktop-linux-menu (1.0.2-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Set KillMode on menu to process
  * Improve readability on normal DPI systems
  * Try to wrangle menu into having correct env vars set

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 16 Feb 2023 01:29:49 +0100

## qubes-desktop-linux-menu 1.0.3

=== debian/changelog ===
qubes-desktop-linux-menu (1.0.3-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 18 Feb 2023 02:34:30 +0100

qubes-desktop-linux-menu (1.0.3-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Don't assume system dirs exist

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 18 Feb 2023 02:34:30 +0100

## qubes-desktop-linux-menu 1.1.0

=== debian/changelog ===
qubes-desktop-linux-menu (1.1.0-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Sun, 16 Apr 2023 16:20:55 +0200

qubes-desktop-linux-menu (1.1.0-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Bunch of menu fixes
  * Improve keyboard navigation
  * Add light mode to menu
  * Improve keyboard navigation
  * Fix event return value

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 16 Apr 2023 16:20:55 +0200

## qubes-desktop-linux-menu 1.1.1

=== debian/changelog ===
qubes-desktop-linux-menu (1.1.1-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Wed, 24 May 2023 04:00:16 +0200

qubes-desktop-linux-menu (1.1.1-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Enable backing out of search with keyboard nav
  * Enforce icon size in menu
  * Make menu slightly smaller to fit in openQA tests

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 24 May 2023 04:00:16 +0200

## qubes-desktop-linux-menu 1.1.3

=== Makefile ===
default: help

help:
	@echo "Use setup.py to build"
	@echo "Extra make targets available:"
	@echo " install-autostart - install autostart files (xdg)"
	@echo " install-icons - install icons"
	@echo " install - calls all of the above (but calling setup.py is still necessary)"

install-icons:
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/scalable/apps
	cp icons/qappmenu-dispvm-child.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-dispvm-child.svg
	cp icons/qappmenu-favorites.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-favorites.svg
	cp icons/qappmenu-favorites-blue.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-favorites-blue.svg
	cp icons/qappmenu-grab-handle.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-grab-handle.svg
	cp icons/qappmenu-networking-no.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-networking-no.svg
	cp icons/qappmenu-networking-vpn.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-networking-vpn.svg
	cp icons/qappmenu-networking-yes.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-networking-yes.svg
	cp icons/qappmenu-power.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-power.svg
	cp icons/qappmenu-qube.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-qube.svg
	cp icons/qappmenu-search.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-search.svg
	cp icons/qappmenu-settings.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-settings.svg

install-autostart:
	mkdir -p $(DESTDIR)/etc/xdg/autostart
	cp autostart/qubes-app-menu.desktop $(DESTDIR)/etc/xdg/autostart
	mkdir -p $(DESTDIR)/usr/share/applications
	cp desktop_files/open-qubes-app-menu.desktop $(DESTDIR)/usr/share/applications/
	mkdir -p $(DESTDIR)/lib/systemd/user/
	cp service_files/qubes-app-menu.service $(DESTDIR)/lib/systemd/user/
	mkdir -p $(DESTDIR)/usr/share/dbus-1/services/
	cp service_files/dbus-qubes-app-menu.service $(DESTDIR)/usr/share/dbus-1/services/

install: install-autostart install-icons

.PHONY: clean
clean:

## qubes-desktop-linux-menu 1.1.2

=== debian/changelog ===
qubes-desktop-linux-menu (1.1.2-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sat, 01 Jul 2023 16:16:12 +0200

qubes-desktop-linux-menu (1.1.2-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Menu should react appropriately to appmenus-dispvm
  * Fix page numbering in help and docs

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 01 Jul 2023 16:16:12 +0200

=== debian/control ===
Source: qubes-desktop-linux-menu
Section: admin
Priority: optional
Maintainer: Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3-all,
 python3-gbulb,
 python3-setuptools,
 python3-systemd,
Standards-Version: 3.9.5
Homepage: https://www.qubes-os.org/
X-Python3-Version: >= 3.5

Package: qubes-desktop-linux-menu
Architecture: any
Depends:
 python3-qubes-menu
 ${misc:Depends}
Description: Qubes Application Menu
 An Application Menu for Qubes OS.

Package: python3-qubes-menu
Architecture: any
Depends:
 python3-qubesadmin,
 ${python3:Depends},
 ${misc:Depends}
Description: Qubes UI Applications
 An Application Menu for Qubes OS.

## qubes-desktop-linux-menu 1.1.3

=== debian/changelog ===
qubes-desktop-linux-menu (1.1.3-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Fri, 07 Jul 2023 03:18:22 +0200

qubes-desktop-linux-menu (1.1.3-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Menu should be always on top
  * Workaround for .desktop file
  * Dragging from menu should never result in a MOVE operation
  * Run KDE logout dialog in KDE

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 07 Jul 2023 03:18:22 +0200

## qubes-desktop-linux-menu 1.1.4

=== debian/changelog ===
qubes-desktop-linux-menu (1.1.4-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Tue, 25 Jul 2023 13:57:13 +0200

qubes-desktop-linux-menu (1.1.4-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Fix sorting to be case-insensitive
  * Stop menu from selecting non-visible VMs
  * Do not restart menu if X is not running

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 25 Jul 2023 13:57:13 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = qubes-menu

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	make install DESTDIR=debian/qubes-desktop-linux-menu/
	mkdir -p debian/qubes-desktop-linux-menu/usr/bin/
	mv debian/python3-qubes-menu/usr/bin/* debian/qubes-desktop-linux-menu/usr/bin/

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	make clean

## qubes-desktop-linux-menu 1.1.5

=== debian/changelog ===
qubes-desktop-linux-menu (1.1.5-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sat, 05 Aug 2023 15:20:49 +0200

qubes-desktop-linux-menu (1.1.5-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Make pylint happy - use sys.exit

  [ Marta Marczykowska-Górecka ]
  * Fix styles for certain themes
  * Add a placeholder if there are no apps in vm
  * Fix error with showing bare settings on menu start

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 05 Aug 2023 15:20:49 +0200

## qubes-desktop-linux-menu 1.2.0

=== debian/changelog ===
qubes-desktop-linux-menu (1.2.0-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Wed, 08 May 2024 01:53:16 +0200

qubes-desktop-linux-menu (1.2.0-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Run tests in CI
  * Make the dispvm child icon an icon, not a background
  * Add explanation how to add things to favorites
  * Provide a workaround for PageUp / focus chain bug
  * Launch first search result on Enter
  * Use keywords in menu search
  * Fix pylint complaint about yield from
  * Fix favorites menu in search
  * Move tests to new Mock Qubes object from core-admin-client
  * Add and update tests for Menu
  * Search and space/backspace interactions
  * Implement menu settings as features
  * Add a GUI program to manage menu settings
  * Add tests to menu settings
  * Stop building for r4.1
  * Remove deprecated pkg_resources, replace it with importlib
  * Use page name instead of page number for initial page
  * Add test for command line parsing

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 08 May 2024 01:53:16 +0200

## qubes-desktop-linux-menu 1.2.1

=== debian/changelog ===
qubes-desktop-linux-menu (1.2.1-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Fri, 05 Jul 2024 17:38:04 +0200

qubes-desktop-linux-menu (1.2.1-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Fix sorting dispvms
  * Move Settings to bottom of applist and add control panel to Search
  * Improve keyboard navigation
  * Make it possible to add VM Setting and Start to favorites
  * Show settings and start vm in search
  * pylint pacification
  * Improve logic of (not)hiding menu and fix VM name escaping
  * add pip to dependencies

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 05 Jul 2024 17:38:04 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild --test-pytest
 
 override_dh_auto_build: export http_proxy=127.0.0.1:9
 override_dh_auto_build: export https_proxy=127.0.0.1:9

## qubes-desktop-linux-menu 1.2.2

=== debian/changelog ===
qubes-desktop-linux-menu (1.2.2-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Tue, 05 Nov 2024 01:48:57 +0100

qubes-desktop-linux-menu (1.2.2-1) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Fix highlighted text for search

  [ Marta Marczykowska-Górecka ]
  * Stop eating spaces when a non-search widget is selected

  [ Ali Mirjamali ]
  * Allow Appmenu custom positioning

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 05 Nov 2024 01:48:57 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,11 @@
  python3-gbulb,
  python3-setuptools,
  python3-systemd,
+ python3-qubesadmin,
+ qubes-desktop-linux-manager,
+ python3-gi,
+ gobject-introspection,
+ gir1.2-gtk-3.0
 Standards-Version: 3.9.5
 Homepage: https://www.qubes-os.org/
 X-Python3-Version: >= 3.5

## qubes-desktop-linux-menu 1.2.3

=== debian/changelog ===
qubes-desktop-linux-menu (1.2.3-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Mon, 17 Mar 2025 04:28:34 +0100

qubes-desktop-linux-menu (1.2.3-1) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Honor `NoDisplay=true`

  [ Demi Marie Obenour ]
  * Escape application names for GMarkup

  [ Marek Marczykowski-Górecki ]
  * rpm: add explicit depenency on pyxdg
  * debian: add explicit dependency on python3-xdg
  * ci: depend on python3-pyxdg explicitly

  [ Demi Marie Obenour ]
  * Wayland support via wlr-layer-shell

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 17 Mar 2025 04:28:34 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,8 @@
  qubes-desktop-linux-manager,
  python3-gi,
  gobject-introspection,
- gir1.2-gtk-3.0
+ gir1.2-gtk-3.0,
+ gir1.2-gtklayershell-0.1,
 Standards-Version: 3.9.5
 Homepage: https://www.qubes-os.org/
 X-Python3-Version: >= 3.5
@@ -30,6 +31,7 @@
 Architecture: any
 Depends:
  python3-qubesadmin,
+ python3-xdg,
  ${python3:Depends},
  ${misc:Depends}
 Description: Qubes UI Applications

## qubes-desktop-linux-menu 1.2.4

=== debian/changelog ===
qubes-desktop-linux-menu (1.2.4-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Mon, 02 Jun 2025 02:09:32 +0200

qubes-desktop-linux-menu (1.2.4-1) unstable; urgency=medium

  * Use glib's native asyncio integration when available
  * Remove extra loop.run_until_complete from do_activate

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 02 Jun 2025 02:09:32 +0200

## qubes-desktop-linux-menu 1.2.5

=== debian/changelog ===
qubes-desktop-linux-menu (1.2.5-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Mon, 23 Jun 2025 03:16:29 +0200

qubes-desktop-linux-menu (1.2.5-1) unstable; urgency=medium

  [ Marta Marczykowska-Górecka ]
  * Fix bug with search with dashes

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 23 Jun 2025 03:16:29 +0200

## qubes-desktop-linux-menu 1.2.6

=== debian/changelog ===
qubes-desktop-linux-menu (1.2.6-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Sat, 28 Jun 2025 02:03:57 +0200

qubes-desktop-linux-menu (1.2.6-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * tests: disposable template entry gets templatevm-* icon, not dispvm-
    *

  [ Ben Grande ]
  * Black formatter
  * Add handler for internal feature

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 28 Jun 2025 02:03:57 +0200

## qubes-desktop-linux-menu 1.2.7

=== debian/changelog ===
qubes-desktop-linux-menu (1.2.7-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Wed, 16 Jul 2025 02:50:04 +0200

qubes-desktop-linux-menu (1.2.7-1) unstable; urgency=medium

  [ Corey Ford ]
  * Always insert spaces into search bar

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 16 Jul 2025 02:50:04 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper (>= 9),
  dh-python,
  python3-all,
- python3-gbulb,
+ python3-gi (>= 3.50.0) | python3-gbulb,
  python3-setuptools,
  python3-systemd,
  python3-qubesadmin,

## qubes-desktop-linux-menu 1.2.8

=== debian/changelog ===
qubes-desktop-linux-menu (1.2.8-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Thu, 07 Aug 2025 16:22:59 +0200

qubes-desktop-linux-menu (1.2.8-1) unstable; urgency=medium

  * debian: include gir1.2-gtklayershell-0.1 in runtime deps too

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 07 Aug 2025 16:22:59 +0200

## qubes-desktop-linux-menu 1.2.9

=== debian/changelog ===
qubes-desktop-linux-menu (1.2.9-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Thu, 23 Oct 2025 04:38:16 +0200

qubes-desktop-linux-menu (1.2.9-1) unstable; urgency=medium

  [ Davíð Steinn Geirsson ]
  * Show shutdown/restart/sleep options in KDE logout dialog

  [ Marek Marczykowski-Górecki ]
  * ci: switch pylint ignore to ignore-paths option

  [ Yanase Yuki ]
  * optimize SVG icons

  [ Marta Marczykowska-Górecka ]
  * Add sorting to favorites page
  * Add Recently Used Apps to Search
  * Black-ify menu files
  * Add enabling/disabling recent apps/searches to Menu Settings
  * Blackify qubes menu settings
  * Fix typing errors and errors introduced by black
  * Fix icons and improve communication
  * Improve hover, add menu settings
  * Add tests for the recents feature

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 23 Oct 2025 04:38:16 +0200

=== debian/control ===
--- 
+++ 
@@ -32,6 +32,7 @@
 Depends:
  python3-qubesadmin,
  python3-xdg,
+ gir1.2-gtklayershell-0.1,
  ${python3:Depends},
  ${misc:Depends}
 Description: Qubes UI Applications

## qubes-desktop-linux-menu 1.2.10

=== Makefile ===
--- 
+++ 
@@ -20,12 +20,26 @@
 	cp icons/qappmenu-qube.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-qube.svg
 	cp icons/qappmenu-search.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-search.svg
 	cp icons/qappmenu-settings.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-settings.svg
+	cp icons/appmenu-settings-program-icon.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/appmenu-settings-program-icon.svg
+	cp icons/qappmenu-pause.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-pause.svg
+	cp icons/qappmenu-start.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-start.svg
+	cp icons/qappmenu-shutdown.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-shutdown.svg
+	cp icons/qappmenu-top-left.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-top-left.svg
+	cp icons/qappmenu-top-right.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-top-right.svg
+	cp icons/qappmenu-bottom-left.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-bottom-left.svg
+	cp icons/qappmenu-bottom-right.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-bottom-right.svg
+	cp icons/qappmenu-az.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-az.svg
+	cp icons/qappmenu-za.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-za.svg
+	cp icons/qappmenu-qube-az.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-qube-az.svg
+	cp icons/qappmenu-qube-za.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-qube-za.svg
+	cp icons/settings-*.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/
 
 install-autostart:
 	mkdir -p $(DESTDIR)/etc/xdg/autostart
 	cp autostart/qubes-app-menu.desktop $(DESTDIR)/etc/xdg/autostart
 	mkdir -p $(DESTDIR)/usr/share/applications
 	cp desktop_files/open-qubes-app-menu.desktop $(DESTDIR)/usr/share/applications/
+	cp desktop_files/qubes-appmenu-settings.desktop $(DESTDIR)/usr/share/applications/
 	mkdir -p $(DESTDIR)/lib/systemd/user/
 	cp service_files/qubes-app-menu.service $(DESTDIR)/lib/systemd/user/
 	mkdir -p $(DESTDIR)/usr/share/dbus-1/services/

=== debian/changelog ===
qubes-desktop-linux-menu (1.2.10-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Mon, 03 Nov 2025 02:37:03 +0100

qubes-desktop-linux-menu (1.2.10-1) unstable; urgency=medium

  [ Ben Grande ]
  * Skip confusing buttons from dom0 and disp template

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 03 Nov 2025 02:37:03 +0100

## qubes-desktop-linux-menu 4.2.0

=== Makefile ===
--- 
+++ 
@@ -24,14 +24,6 @@
 	cp icons/qappmenu-pause.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-pause.svg
 	cp icons/qappmenu-start.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-start.svg
 	cp icons/qappmenu-shutdown.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-shutdown.svg
-	cp icons/qappmenu-top-left.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-top-left.svg
-	cp icons/qappmenu-top-right.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-top-right.svg
-	cp icons/qappmenu-bottom-left.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-bottom-left.svg
-	cp icons/qappmenu-bottom-right.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-bottom-right.svg
-	cp icons/qappmenu-az.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-az.svg
-	cp icons/qappmenu-za.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-za.svg
-	cp icons/qappmenu-qube-az.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-qube-az.svg
-	cp icons/qappmenu-qube-za.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qappmenu-qube-za.svg
 	cp icons/settings-*.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/
 
 install-autostart:

=== ci/requirements.txt ===
# WARNING: those requirements are used only for travis-ci.org
# they SHOULD NOT be used under normal conditions; use system package manager
docutils
types-setuptools
pylint
pyinotify
gbulb

=== debian/changelog ===
qubes-desktop-linux-menu (4.2.0-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Fri, 06 Jun 2025 19:48:35 +0200

qubes-desktop-linux-menu (4.2.0-1) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Fix highlighted text for search

  [ Marta Marczykowska-Górecka ]
  * Stop eating spaces when a non-search widget is selected

  [ Demi Marie Obenour ]
  * Escape application names for GMarkup

  [ Ali Mirjamali ]
  * Honor `NoDisplay=true`

  [ Marek Marczykowski-Górecki ]
  * rpm: add explicit depenency on pyxdg
  * debian: add explicit dependency on python3-xdg
  * ci: depend on python3-pyxdg explicitly
  * Use glib's native asyncio integration when available
  * Remove extra loop.run_until_complete from do_activate

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 06 Jun 2025 19:48:35 +0200

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,7 @@
  qubes-desktop-linux-manager,
  python3-gi,
  gobject-introspection,
- gir1.2-gtk-3.0,
- gir1.2-gtklayershell-0.1,
+ gir1.2-gtk-3.0
 Standards-Version: 3.9.5
 Homepage: https://www.qubes-os.org/
 X-Python3-Version: >= 3.5
@@ -32,7 +31,6 @@
 Depends:
  python3-qubesadmin,
  python3-xdg,
- gir1.2-gtklayershell-0.1,
  ${python3:Depends},
  ${misc:Depends}
 Description: Qubes UI Applications
